# -*- coding: utf-8 mode: conf -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8

<VirtualHost *:80>
    ServerName @@host@@
    ServerAlias @@aliases@@
    ServerAdmin @@admin@@

    DocumentRoot /var/www
    <Directory />
        Options FollowSymLinks
        AllowOverride None
    </Directory>
    <Directory /var/www/>
        Options Indexes FollowSymLinks MultiViews
        AllowOverride None
        Order allow,deny
        allow from all
    </Directory>

    # Pour les serveurs qui ont le module mod_WebObjects:
    # mod_WebObjects et ScriptAlias ne peuvent pas gérer le même préfixe. Pour
    # utiliser des cgi-bin avec WebObjects, il faut soit changer le préfixe de
    # ScriptAlias, soit changer le préfixe de WebObjectsAlias dans le fichier
    # mod-webobjects.conf
    # Sinon, il suffit de commenter les lignes suivantes:
    ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
    <Directory "/usr/lib/cgi-bin">
        AllowOverride None
        Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
        Order allow,deny
        Allow from all
    </Directory>

    ErrorLog ${APACHE_LOG_DIR}/error.log

    # Possible values include: debug, info, notice, warn, error, crit,
    # alert, emerg.
    LogLevel warn

    CustomLog ${APACHE_LOG_DIR}/access.log combined

    # Pour les serveurs qui ont le module mod_WebObjects:
    <LocationMatch "/cgi-bin/WebObjects/.*">
        Order allow,deny
        Allow from all
    </LocationMatch>
    <Location /WebObjects>
        Order allow,deny
        Allow from all
    </Location>
</VirtualHost>
